Name:           install-scripts
Summary:        scripts for system installation
Group:          Applications/System
License:        MulanPSL-2.0
Version:        1.2
Release:        6
SOURCE0:        %{name}-%{version}.tar.gz

Patch0001: 0001-add-support-for-nvme-disk.patch
Patch0002: 0002-support-mbsc.patch
Patch0003: 0003-remove-the-executable-permission-of-non-root-users-f.patch

Requires:       kernel
BuildRequires:  dos2unix coreutils findutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%description
This is a package of scripts for install OS from openEuler.

%prep
%autosetup -n %{name}-%{version} -p1

%install
dos2unix `find -name "*.sh"`

mkdir -m 750 -p $RPM_BUILD_ROOT/usr/Euler/

cp -a usr/Euler/project $RPM_BUILD_ROOT/usr/Euler/

find $RPM_BUILD_ROOT/usr/Euler/ -type d | xargs chmod 750

find $RPM_BUILD_ROOT/usr/Euler/ -type f | xargs chmod 500

mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/initrd-euler.target.wants/
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/emergency.target.wants/
mkdir -p $RPM_BUILD_ROOT/etc/sysctl.d/

cp -a data/* $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp -a config/01-euler-printk.conf $RPM_BUILD_ROOT/etc/sysctl.d/

%files
%defattr(0500,root,root)
%dir /usr/Euler
%dir /usr/Euler/project
%dir /usr/Euler/project/disk
%dir /usr/Euler/project/init
%dir /usr/Euler/project/install
%dir /usr/Euler/project/load
%dir /usr/Euler/project/log
%dir /usr/Euler/project/util
/usr/Euler/project/disk/*
/usr/Euler/project/init/*
/usr/Euler/project/install/*
/usr/Euler/project/load/*
/usr/Euler/project/log/*
/usr/Euler/project/util/*

%attr(0640,root,root) /usr/lib/systemd/system/*
%attr(0640,root,root) /etc/sysctl.d/01-euler-printk.conf

%post
ln -s /sbin/init /init

mkdir -m 750 -p /usr/Euler/conf

sysmap=$(find /boot -name "System.map-*-default")
if [ -f "$sysmap" ]; then
    cp -a $sysmap /usr/Euler/conf/System.map
    chmod 640 /usr/Euler/conf/System.map
fi

rm -f /init
rm -f /etc/systemd/system/default.target
rm -f /usr/lib/systemd/system/default.target
rm -f /usr/lib/systemd/system/emergency.service

ln -sf /usr/lib/systemd/systemd /init

cp /usr/lib/systemd/system/emergency.service.euler /usr/lib/systemd/system/emergency.service

ln -sf /usr/lib/systemd/system/initrd-euler.target /etc/systemd/system/default.target
ln -sf /usr/lib/systemd/system/initrd-euler.target /usr/lib/systemd/system/default.target
ln -sf /usr/lib/systemd/system/initrd-euler.service /usr/lib/systemd/system/initrd-euler.target.wants/initrd-euler.service
ln -sf /usr/lib/systemd/system/getty.target /usr/lib/systemd/system/initrd-euler.target.wants/getty.target
rm -f /etc/systemd/system/getty.target.wants/getty@tty1.service
ln -sf /usr/lib/systemd/system/getty@.service /etc/systemd/system/getty.target.wants/getty@tty2.service
ln -sf /usr/lib/systemd/system/getty@.service /etc/systemd/system/getty.target.wants/getty@tty4.service
ln -sf /usr/lib/systemd/system/getty@.service /etc/systemd/system/getty.target.wants/getty@tty5.service
ln -sf /usr/lib/systemd/system/getty@.service /etc/systemd/system/getty.target.wants/getty@tty6.service

ln -sf /usr/lib/systemd/system/systemd-vconsole-setup.service /usr/lib/systemd/system/emergency.target.wants/systemd-vconsole-setup.service
ln -sf /usr/lib/systemd/system/sshd.service /usr/lib/systemd/system/emergency.target.wants/sshd.service
ln -sf /usr/lib/systemd/system/getty.target /usr/lib/systemd/system/emergency.target.wants/getty.target


%preun

%postun

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf %{_tmppath}/%{name}-%{version}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Feb 3 2023 zhangqiumiao <zhangqiumiao1@huawei.com> - 1.2-6
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fix missing Patch0003 in spec file

* Mon Dec 19 2022 zhangqiumiao <zhangqiumiao1@huawei.com> - 1.2-5
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:after executing hook scripts, remove their executable permission
       of non root users

* Sat Nov 5 2022 zhangqiumiao <zhangqiumiao1@huawei.com> - 1.2-4
- Type:requirement
- CVE:NA
- SUG:NA
- DESC:add support for mbsc

* Tue Aug 16 2022 fushanqing <fushanqing@kylinos.cn> - 1.2-3
- Unified license name specification

* Thu Jun 23 2022 zhangqiumiao <zhangqiumiao1@huawei.com> - 1.2-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:add support for nvme disk

* Fri Apr 8 2022 zhangqiumiao <zhangqiumiao1@huawei.com> - 1.2-1
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:update to version 1.2-1

* Fri Mar 18 2022 zhangqiumiao <zhangqiumiao1@huawei.com> - 1.1-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:get SI_GRUB2_PATH by ID in /etc/os-release

* Mon Feb 28 2022 zhangqiumiao <zhangqiumiao1@huawei.com> - 1.1-1
- Type:requirement
- CVE:NA
- SUG:NA
- DESC:initialize the source code of install-scripts
